> ## Documentation Index
> Fetch the complete documentation index at: https://docs.useglyde.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Virtual Account

> Create a merchant-issued virtual account for a customer.



## OpenAPI

````yaml post /v1/virtual-accounts
openapi: 3.0.3
info:
  title: Glyde Public API
  description: Glyde API for payments, collections, transfers, and virtual accounts
  version: 1.0.0
servers:
  - url: https://api.useglyde.co
    description: Production
  - url: https://sandbox.useglyde.co
    description: Sandbox
security:
  - bearerAuth: []
tags:
  - name: Account
    description: Account verification and bank listing
  - name: Collection
    description: Accept payments from customers
  - name: Transfers
    description: Send money to bank accounts
  - name: Transactions
    description: Transaction history and details
  - name: Settlements
    description: Settlement management
  - name: Wallet
    description: Wallet balance
  - name: Verification
    description: Identity verification
  - name: Virtual Accounts
    description: Virtual account management
paths:
  /v1/virtual-accounts:
    post:
      tags:
        - Virtual Accounts
      summary: Create Virtual Account
      description: Create a merchant-issued virtual account for a customer.
      operationId: createVirtualAccount
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - type
                - customer
              properties:
                type:
                  type: string
                  enum:
                    - static
                    - dynamic
                customer:
                  type: object
                  properties:
                    reference:
                      type: string
                    first_name:
                      type: string
                    last_name:
                      type: string
                    email:
                      type: string
                    phone:
                      type: string
                    bvn:
                      type: string
                expected_amount:
                  type: integer
                meta:
                  type: object
      responses:
        '201':
          description: Virtual account created
        '422':
          description: Validation error
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````